summaryrefslogtreecommitdiff
path: root/setup/redhat/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'setup/redhat/install.sh')
-rw-r--r--setup/redhat/install.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/setup/redhat/install.sh b/setup/redhat/install.sh
new file mode 100644
index 00000000..d02f6f28
--- /dev/null
+++ b/setup/redhat/install.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -e
+ABI=$(rpm -q --provides python3 | awk '/abi/ {print $NF}')
+python3 setup.py install --prefix=/usr --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES --install-lib usr/lib/python${ABI}/site-packages/